## ros-indigo-cost-map-ros 0.3.3

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(cost_map_ros)

##############################################################################
# Find Packages
##############################################################################

find_package(catkin
    REQUIRED
    COMPONENTS
        cost_map_core
        cost_map_msgs
        costmap_2d
        ecl_build
        ecl_command_line
        ecl_console
        grid_map_core
        grid_map_costmap_2d
        grid_map_ros
        grid_map_visualization
        nav_msgs
        roslib
    )

find_package(Boost REQUIRED COMPONENTS filesystem)

find_package(PkgConfig)
pkg_check_modules(YAML_CPP yaml-cpp>=0.5)

##############################################################################
# Project Configuration
##############################################################################

ecl_enable_cxx11_compiler()
add_definitions(
    ${catkin_DEFINITIONS}
    ${Boost_DEFINITIONS}
    ${OpenCV_DEFINITIONS}
)

include_directories(
    include
    ${catkin_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
    ${YAML_CPP_INCLUDE_DIRS}
    ${OpenCV_INCLUDE_DIRS}
)

link_directories(${YAML_CPP_LIBRARY_DIRS})

# *spank* opencv calls include_directories internally, which means if you
# don't call it after the other include_directories, it will automagically
# stuff its directories at the front of your include path and this can
# cause headaches.
find_package(OpenCV REQUIRED)

# not necessary to re-include, but should be here for when eventually opencv3
# fixes this for us
include_directories(${OpenCV_INCLUDE_DIRS})
add_definitions(${OpenCV_DEFINITIONS})


##############################################################################
# Exports
##############################################################################

catkin_package(
    INCLUDE_DIRS
        include
    LIBRARIES
        ${PROJECT_NAME}
    CATKIN_DEPENDS
        cost_map_core
        cost_map_msgs
        costmap_2d
        ecl_build
        ecl_command_line
        ecl_console
        grid_map_core
        grid_map_costmap_2d
        grid_map_ros
        grid_map_visualization
        nav_msgs
        roslib
    DEPENDS
        Boost
        YAML_CPP
        OpenCV
    )

##############################################################################
# Project Sources
##############################################################################

add_subdirectory(src)

##############################################################################
# Installs
##############################################################################

install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp"
)

install(DIRECTORY image_bundles DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== src/CMakeLists.txt ===
##############################################################################
# Subdirectories
##############################################################################

add_subdirectory(lib)
add_subdirectory(applications)
if(CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== src/applications/CMakeLists.txt ===
###############################################################################
# Macro
###############################################################################

macro(cost_map_add_utility name)
  add_executable(${name} ${name}.cpp)
  target_link_libraries(${name} ${catkin_LIBRARIES} ${PROJECT_NAME})
  install(TARGETS ${name} RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
endmacro()

###############################################################################
# Setup
###############################################################################

cost_map_add_utility(load_image_bundle)
cost_map_add_utility(save_image_bundle)

=== src/tests/CMakeLists.txt ===
##############################################################################
# Subdirectories
##############################################################################

add_subdirectory(gtests)

=== debian/changelog ===
ros-indigo-cost-map-ros (0.3.3-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 02 Jan 2018 03:39:42 -0000

ros-indigo-cost-map-ros (0.3.2-0trusty) trusty; urgency=high

  * refactor includes against grid_map_costmap_2d changes
  * new convenience constructor with nodehandle

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 06 Aug 2017 04:00:00 -0000

ros-indigo-cost-map-ros (0.3.1-0trusty) trusty; urgency=high

  * minor api name fixes for Costmap2D references

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 16 Feb 2017 05:00:00 -0000

ros-indigo-cost-map-ros (0.3.0-0trusty) trusty; urgency=high

  * costmap2DROS converters
  * bugfix missing data copy in the toGridMap conversion

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 27 Dec 2016 05:00:00 -0000

ros-indigo-cost-map-ros (0.2.0-0trusty) trusty; urgency=high

  * initial creation of similar functionality to that of grid maps

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 25 Aug 2016 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-cost-map-ros
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libopencv-dev, libyaml-cpp-dev, ros-indigo-catkin, ros-indigo-cost-map-core, ros-indigo-cost-map-msgs, ros-indigo-costmap-2d, ros-indigo-ecl-build, ros-indigo-ecl-command-line, ros-indigo-ecl-console, ros-indigo-grid-map-core, ros-indigo-grid-map-costmap-2d, ros-indigo-grid-map-ros, ros-indigo-grid-map-visualization, ros-indigo-nav-msgs, ros-indigo-roslib
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-cost-map-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libopencv-dev, libyaml-cpp-dev, ros-indigo-cost-map-core, ros-indigo-cost-map-msgs, ros-indigo-costmap-2d, ros-indigo-ecl-build, ros-indigo-ecl-command-line, ros-indigo-ecl-console, ros-indigo-grid-map-core, ros-indigo-grid-map-costmap-2d, ros-indigo-grid-map-ros, ros-indigo-grid-map-visualization, ros-indigo-nav-msgs, ros-indigo-roslib
Description: Cost maps, following the style of ethz-asl's grid_map library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cost-map-ros//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
